Results 1 to 8 of 8

Thread: Ext.ux.daterange

  1. #1
    Sencha User
    Join Date
    Jul 2012
    Posts
    24
    Vote Rating
    4
      2  

    Default Ext.ux.daterange

    The daterange component allows you to select a start and an end date -> A "Date range"!

    daterange.PNG
    It has many cool features under the hood, which might be useful

    Here are some examples: http://reserv.herokuapp.com/ux/daterange/example.html
    And here is a demo app: http://reserv.herokuapp.com/

    It is, more or less, a beta version so any feedback would be appreciated. (Missing functionality, bugs, design,...)

    You find the source code on github: https://github.com/Hadsch/DemoReserv...i/ux/daterange

  2. #2
    Sencha - Support Team
    Join Date
    Feb 2013
    Location
    California
    Posts
    9,531
    Vote Rating
    257
      0  

    Default

    Looks cool. Thanks for sharing your work with the community!


    Join me at SenchaCon 2016!

  3. #3
    Ext JS Premium Member
    Join Date
    Nov 2008
    Posts
    312
    Vote Rating
    4
      0  

    Default

    It is compatible with version 5.1?

    thank you very much.
    s

  4. #4
    Sencha User
    Join Date
    Jul 2012
    Posts
    24
    Vote Rating
    4
      0  

    Default

    Yes it also works with extjs5.All overrides are only needed for Ext4 (ext.4.2.1) so you can delete them.I don't have made a package yet, so you may have some problems if you want to compile it. But I will create a package soon...

  5. #5
    Ext JS Premium Member
    Join Date
    Nov 2008
    Posts
    312
    Vote Rating
    4
      0  

    Default

    Thank you so much for this component.

    This is a component that would become very useful (and long waited by the whole comunity) if it became Ext.ux.datetimerange.

    thanks again.
    s

  6. #6
    Sencha Premium Member
    Join Date
    Nov 2011
    Location
    India
    Posts
    10
    Vote Rating
    2
      1  

    Default

    I am getting an error while using it for Ext 5.1.0 version.textNodes[i] is undefined at line 457 on Date.js file --> fullUpdate function

  7. #7
    Sencha User chramer's Avatar
    Join Date
    Feb 2011
    Location
    Chisinau, Moldova
    Posts
    223
    Vote Rating
    12
      0  

    Default

    Any updates on this? I'm having the same issue as ankit_shahin does

  8. #8
    Sencha User
    Join Date
    Dec 2008
    Location
    Sofia
    Posts
    215
    Vote Rating
    9
      0  

    Default

    Very impressing extensions, thanks.

    I have built a similar one (much simpler, of course), if you are interested:
    https://www.sencha.com/forum/showthr...ateRangePicker

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •